Page MenuHomePhabricator

Don't use psuedo-selectors that are not supported in IE 8.
Closed, ResolvedPublic

Description

Our LESS should not use psuedo-selectors that are not supported in IE 8 (using it in a jQuery selector is fine). Common ones that are not supported are :not and :empty.

The obvious exception is things like:

.mw-ui-fieldtag-input:not(.ie8WillIgnoreThis)

where it intentionally uses the construct so IE 8 drops the rule.

There is one sub-bug about this already, but I'm not planning to make a separate one for each other case. Let's just fix them.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF changed Security from none to None.

There is another in modules/styles/board/timestamps.less.

gerritbot added a subscriber: gerritbot.

Change 185392 had a related patch set uploaded (by Mattflaschen):
WIP: Fix most noticeable IE 8 issues

https://gerrit.wikimedia.org/r/185392

Patch-For-Review

DannyH triaged this task as Medium priority.Jan 16 2015, 6:43 PM

Change 185392 merged by jenkins-bot:
Fix multiple major IE 8 issues

https://gerrit.wikimedia.org/r/185392

DannyH closed this task as Resolved.Feb 3 2015, 11:58 PM
DannyH claimed this task.
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 4 2018, 2:38 PM